/////////////////////////////////////////////////////////////////////////////
//
// TimePilot Audio RC filter
//
// Version : 0.00
//
// Copyright(c) 2004 Tatsuyuki Satoh , All rights reserved
//
// 1. License
//
// This program is freeware for non-commercial use. 
// The user of this source must assume all legal 
// responsibility in the use of this program. 
// It isn't suitable to put this source on GPL. 
//
// 2. Guarantee 
//
// An author does no guarantee about this program.
// You can use this under your own risk. 
// 
// 3. A rule to distribute.
//   Do either 1) or 2).
//   1)Include a perfect original source include this document.
//   2)Include all these headers , and add document of 
//     modification points
//
// Histry:
//   2004. 7.23 1st Release
//
/////////////////////////////////////////////////////////////////////////////

//
// IN -- 1Kohm --+-- 5.1Kohm -+------ OUT
//               |            |
//            +--|--+      +--|--+
//            |  A  |      |  A  |
// SEL[0] -----SW   |  +----SW   |
//            |  B  |  |   |  B  |
//            +--|--+  |   +--|--+
//               |     |      |
//             0.22uF  |    0.047
//               |     |      |
//              GND    |     GND
// SEL[1] -------------+
//

module rc_filt(CLK,SEL,I,O);

input CLK;       // clock
input [1:0] SEL; // filter select
input [7:0] I;   // input
output [7:0] O;  // output

/////////////////////////////////////////////////////////////////////////////
// BYPASS !!!!!
/////////////////////////////////////////////////////////////////////////////
assign O = I;

endmodule
