/////////////////////////////////////////////////////////////////////////////
//
// Z80 interface for Daniel Wallner's T80 Customize edition
//
// Version : 0247.00
//
// Copyright(c) 2002-2004 Tatsuyuki Satoh , All rights reserved
//
// Important !
//
// This program is freeware for non-commercial use. 
// An author does no guarantee about this program.
// You can use this under your own risk. 
//
/////////////////////////////////////////////////////////////////////////////

//
// necessary lisence:
//
// see T80_cpu information in OPENCORES.ORG.
// <http://www.opencores.org/projects/t80/>
//

// necessary files:
//
// 1.T80S.NGC(Write protected) : synthesized T80S netlist ver.0240 or later
// 2.T80S.jhd(Write protected) : T80S tree file
// 2.T80S.V                    : T80S Verilog I/F file
//

module T80as_nb_nn(
	RESET_n,CLK_n,WAIT_n,INT_n,NMI_n,BUSRQ_n,
	M1_n,MREQ_n,IORQ_n,RD_n,WR_n,RFSH_n,HALT_n,BUSAK_n,
	A,DI,DO,DOE);

input RESET_n,CLK_n,WAIT_n,INT_n,NMI_n,BUSRQ_n;
output M1_n,MREQ_n,IORQ_n,RD_n,WR_n,RFSH_n,HALT_n,BUSAK_n;
output [15:0] A;
input [7:0] DI;
output [7:0] DO;
output DOE;
endmodule
